{ config, pkgs, nixvim, ... }:
{
    programs.nixvim = {
        plugins = {
            alpha = {
                enable = true;
                layout = [
                    {
                        type = "padding";
                        val = 2;
                    }
                    {
                        opts = {
                            hl = "Type";
                            position = "center";
                        };
                        type = "text";
                        val = [
                            "███╗   ██╗██╗██╗  ██╗██╗   ██╗██╗███╗   ███╗"
                            "████╗  ██║██║╚██╗██╔╝██║   ██║██║████╗ ████║"
                            "██╔██╗ ██║██║ ╚███╔╝ ██║   ██║██║██╔████╔██║"
                            "██║╚██╗██║██║ ██╔██╗ ╚██╗ ██╔╝██║██║╚██╔╝██║"
                            "██║ ╚████║██║██╔╝ ██╗ ╚████╔╝ ██║██║ ╚═╝ ██║"
                            "╚═╝  ╚═══╝╚═╝╚═╝  ╚═╝  ╚═══╝  ╚═╝╚═╝     ╚═╝"
                        ];
                    }
                    {
                        type = "padding";
                        val = 2;
                    }
                    {
                        type = "group";
                        val = [
                            {
                                on_press = {
                                    __raw = "function() vim.cmd[[ene]] end";
                                };
                                opts = {
                                    shortcut = "n";
                                };
                                type = "button";
                                val = "  New file";
                                }
                            {
                                on_press = {
                                    __raw = "function() vim.cmd[[qa]] end";
                                };
                                opts = {
                                    shortcut = "q";
                                };
                                type = "button";
                                val = " Quit Neovim";
                            }
                        ];
                    }
                    {
                        type = "padding";
                        val = 2;
                    }
                    {
                        opts = {
                            hl = "Keyword";
                            position = "center";
                        };
                        type = "text";
                        val = "Inspiring quote here.";
                    }
                ];
            };    
        };
    };
}
